org.apache.xmlbeans.impl.xb.xsdschema

## Interface SimpleContentDocument.SimpleContent

All Superinterfaces:
  Annotated, OpenAttrs, XmlObject, XmlTokenSource

All Known Implementing Classes:
  SimpleContentDocumentImpl.SimpleContentImpl

Enclosing interface:
  SimpleContentDocument

    public static interface SimpleContentDocument.SimpleContent
    extends Annotated

An XML simpleContent(@http://www.w3.org/2001/XMLSchema). This is a complex type.

### Field Summary

Fields
`static ElementFactory<SimpleContentDocument.SimpleContent>` `Factory`
`static SchemaType` `type`

### Fields inherited from interface org.apache.xmlbeans.XmlObject

`EQUAL, GREATER_THAN, LESS_THAN, NOT_EQUAL`

### Method Summary

All Methods Instance Methods Abstract Methods
`SimpleExtensionType` `addNewExtension()` Appends and returns a new empty "extension" element
`SimpleRestrictionType` `addNewRestriction()` Appends and returns a new empty "restriction" element
`SimpleExtensionType` `getExtension()` Gets the "extension" element
`SimpleRestrictionType` `getRestriction()` Gets the "restriction" element
`boolean` `isSetExtension()` True if has "extension" element
`boolean` `isSetRestriction()` True if has "restriction" element
`void` `setExtension(SimpleExtensionType extension)` Sets the "extension" element
`void` `setRestriction(SimpleRestrictionType restriction)` Sets the "restriction" element
`void` `unsetExtension()` Unsets the "extension" element
`void` `unsetRestriction()` Unsets the "restriction" element

### Methods inherited from interface org.apache.xmlbeans.impl.xb.xsdschema.Annotated

`addNewAnnotation, getAnnotation, getId, isSetAnnotation, isSetId, setAnnotation, setId, unsetAnnotation, unsetId, xgetId, xsetId`

### Methods inherited from interface org.apache.xmlbeans.XmlObject

`changeType, compareTo, compareValue, copy, copy, execQuery, execQuery, isImmutable, isNil, schemaType, selectAttribute, selectAttribute, selectAttributes, selectChildren, selectChildren, selectChildren, selectPath, selectPath, set, setNil, substitute, toString, validate, validate, valueEquals, valueHashCode`

### Methods inherited from interface org.apache.xmlbeans.XmlTokenSource

`documentProperties, dump, getDomNode, monitor, newCursor, newDomNode, newDomNode, newInputStream, newInputStream, newReader, newReader, newXMLStreamReader, newXMLStreamReader, save, save, save, save, save, save, save, save, xmlText, xmlText`

### Field Detail

#### Factory

    static final ElementFactory<SimpleContentDocument.SimpleContent> Factory

#### type

    static final SchemaType type

### Method Detail

#### getRestriction

    SimpleRestrictionType getRestriction()

Gets the "restriction" element

#### isSetRestriction

    boolean isSetRestriction()

True if has "restriction" element

#### setRestriction

    void setRestriction(SimpleRestrictionType restriction)

Sets the "restriction" element

#### addNewRestriction

    SimpleRestrictionType addNewRestriction()

Appends and returns a new empty "restriction" element

#### unsetRestriction

    void unsetRestriction()

Unsets the "restriction" element

#### getExtension

    SimpleExtensionType getExtension()

Gets the "extension" element

#### isSetExtension

    boolean isSetExtension()

True if has "extension" element

#### setExtension

    void setExtension(SimpleExtensionType extension)

Sets the "extension" element

#### addNewExtension

    SimpleExtensionType addNewExtension()

Appends and returns a new empty "extension" element

#### unsetExtension

    void unsetExtension()

Unsets the "extension" element